<?php

namespace App\Services\Equipment\Link;

use CodeIgniter\HTTP\IncomingRequest;

use App\Entities\Equipment\Link\DiskEntity;
use App\Models\Equipment\Link\DiskModel;
use App\Services\Equipment\Part\DiskService as PartService;

class DiskService extends LinkService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Disk');
    }
    public function getModelClass(): DiskModel
    {
        return new DiskModel;
    }
    public function getEntityClass(): DiskEntity
    {
        return new DiskEntity();
    }
    protected function getPartService(): PartService
    {
        return new PartService();
    }

    public function getFields(): array
    {
        return [
            "serverinfo_uid",
            "diskinfo_uid",
        ];
    }

    public function getFilterFields(): array
    {
        return ["serverinfo_uid", "diskinfo_uid"];
    }
    public function getBatchJobFields(): array
    {
        return [];
    }
}
